DDC(4) | Device Drivers Manual | DDC(4)

# NAME

`ddc` — VESA Display Data Channel V2 devices

# SYNOPSIS

`ddc at iic? addr 0x50`

# DESCRIPTION

The `ddc` driver provides support for accessing the VESA Display Data Channel Version 2 supported by many video displays.

# SEE ALSO

iic(4), ddc(9), edid(9)

# HISTORY

The `ddc` device appeared in NetBSD 4.0.

# AUTHORS

Garrett D'Amore <gdamore@NetBSD.org>

# BUGS

This driver does not provide any mechanism for access from user applications. Its only use at this point is to provide a means for framebuffer device drivers to query monitor description data (EDID) using a specialized in-kernel API. No support for sending control commands to display devices is provided.

May 11, 2006 | NetBSD 10.99